Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.MenuItemConfig Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | MenuItemConfig ()
| Constructor.
def | MenuItemConfig (menu_item_config)
| Constructor, with another menu item config object. More...
def | MenuItemConfig (name, user, parent, pos, pos_str, exec, enable, marked)
| Constructor, with parameters. More...
def | Set (name, user, parent, pos, pos_str, exec, enable, marked)
| Set values. More...

## Static Public Attributes
| enable = _fsdk.MenuItemConfig_enable
| (Only used by
| marked = _fsdk.MenuItemConfig_marked
| (Only used by
| name = _fsdk.MenuItemConfig_name
| The language-independent name of the menu item.
| parent = _fsdk.MenuItemConfig_parent
| The name of the parent menu item. Its submenu will have the new menu item added to it.
| pos = _fsdk.MenuItemConfig_pos
| The position within the submenu to locate the new menu item.
| pos_str = _fsdk.MenuItemConfig_pos_str
| (Only used by
| user = _fsdk.MenuItemConfig_user
| The user string (language-dependent name) to display as the menu item name.

## Detailed Description

This class represents menu item config.

## Constructor & Destructor Documentation

## ◆ MenuItemConfig() [1/2]

def FoxitPDFSDKPython3.MenuItemConfig.MenuItemConfig | ( |  | name,
|  |  | user,
|  |  | parent,
|  |  | pos,
|  |  | pos_str,
|  |  | exec,
|  |  | enable,
|  |  | marked
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

## ◆ MenuItemConfig() [2/2]

def FoxitPDFSDKPython3.MenuItemConfig.MenuItemConfig | ( |  | menu_item_config | ) |

Constructor, with another menu item config object.

Parameters

  [in] | menu_item_config | Another menu item config object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.MenuItemConfig.Set | ( |  | name,
|  |  | user,
|  |  | parent,
|  |  | pos,
|  |  | pos_str,
|  |  | exec,
|  |  | enable,
|  |  | marked
| ) |  |

Set values.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

Returns
  None.